import { Doc } from '../../view/Doc';
import { BaseMetaNode } from '../../layout/types';
import { HitHandler, HitResult, HitIntent } from './types';
export declare class TextHitHandler implements HitHandler {
    handleHitDetection(doc: Doc, node: BaseMetaNode, actualX: number, actualY: number): HitResult | null;
    isClickSelectAll(doc: Doc, node: BaseMetaNode): HitIntent;
}
